Bug 85598 - configuration: error message "need to choose codec" even though a codec is selected
Summary: configuration: error message "need to choose codec" even though a codec is se...
Status: ASSIGNED
Alias: None
Product: kaudiocreator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 30 votes (vote)
Target Milestone: ---
Assignee: Gerd Fleischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-21 02:52 UTC by markus
Modified: 2021-03-09 03:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markus 2004-07-21 02:52:20 UTC
Version:           1.0 (using KDE 3.2.3,  (testing/unstable))
Compiler:          gcc version 3.3.3 (Debian 20040422)
OS:                Linux (i686) release 2.6.6

I am using KAudioCreator the first time on my Debian unstable/testing system. 
After I had started the program I was notified that I had not selected a codec.

I opened the according config tab, but I found that OggVorbis was selected indeed.

So I see no reason for this error message. 

I did not have oggenc installed, which throws up the need to produce a little warning like this. 

Though, after I installed oggenc, the error message still came up. 

When I had klicked on the selection (OGG encoding) once again and after I had saved the settings, closed and reopened the application, the error message did not occur any more. Then obviously the kaudiocreatorrc was created and an according statement was there.

It's necessary to handle these initial checks a little more systematic... 

But thanks anyway for providing such a neat program!
Comment 1 icefox 2004-07-21 03:59:19 UTC
Hmm guess it is kinda a silly programatic requirement and should be done a little bit better.  Like you found out you actually do have to open the settings and select and save before it is applied.
Comment 2 Philippe Cloutier 2007-09-18 00:02:43 UTC
Please change this back to a bug. As the reporter indicated, Ogg is already selected. Restarting fixed here.
Comment 3 markus 2007-10-25 00:58:27 UTC
The problem is still there. Currently I am running 1.13 under KUbuntu Feisty Fawn. Please fix. Thank you!
Comment 4 Gerd Fleischer 2009-11-05 17:53:12 UTC
Can you still reproduce this with teh current beta (1.2.81)?
Comment 5 Philippe Cloutier 2009-11-05 20:38:05 UTC
I personally won't test the current beta (unless it would get packaged for Debian).
Comment 6 Justin Zobel 2021-03-09 03:51:43 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.